$(function () {
    //删除用户
    $("a[rel='del']").click(function () {
        var $delObject = $(this);
        if ($delObject.attr("rev") == "0") {
            if (confirm("确定删除会员分类 [ " + $delObject.attr("name") + " ] 吗？")) {
                $.ajax({
                    type: "POST",
                    url: "Ajax/MemberDispose.ashx",
                    data: { 'com': 'delmemberclass', 'classid': $delObject.attr("href"), 'classname': $delObject.attr("name") },
                    datatype: "json",
                    beforeSend: function (data, textStatus) {
                        showMsg("[ " + $delObject.attr("name") + " ] 正在删除中 ", true);
                    },
                    success: function (data, textStatus) {
                        if (data == "1") {
                            $delObject.parent().parent("tr").remove();
                        } else {
                            alert("删除失败!");
                        }
                        showMsg("", false);
                    },
                    error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
                })
            }
        } else {
            alert("请先删除属于 [" + $delObject.attr("name") + "] 的会员,才能删除该分类！");
        }
        return false;
    });
})